<?php 
add_action('admin_init','register_chronicle_Option_Panel');
function register_chronicle_Option_Panel(){
	/* General Settings */
	$chronicle_theme_options = chronicle_get_options();
	// print_r($chronicle_theme_options);	
	register_setting('general_option_panel','chronicle_theme_options');	
	add_settings_section('general-settings','','','gnrl_option_page');
	
	add_settings_field('custom_front_page','Show Home Page','option_pannel_listbox','gnrl_option_page','general-settings',
	array( 'name'=>'chronicle_theme_options[_frontpage]',
			'value'=>$chronicle_theme_options['_frontpage'],
			'desc'=>__('Enable Custom Static Front-Page. Click','chronicle').' <a href="'.home_url( '/' ).'wp-admin/options-reading.php">'.__("Click Here","weblizar").'</a>.',
			//'desc'=>'Enable Custom Static Front-Page. Click <a href="http://localhost/wordpress-4.1/wp-admin/options-reading.php">here</a>'
		));
	
	add_settings_field('upload_image_logo','Upload Logo','option_panel_upload_field','gnrl_option_page','general-settings',
		array('name'=>'chronicle_theme_options[upload_image_logo]',
			'value'=>$chronicle_theme_options['upload_image_logo'],
			'desc'=>__('Upload an Image for theme logo.','chronicle'),
			'width'=>150,
			'height'=>55 ));

	add_settings_field('logo_height','Logo height','option_panel_text_field','gnrl_option_page','general-settings',
		array('name'=>'chronicle_theme_options[height]',
			'value'=>$chronicle_theme_options['height'],
			'desc'=>__('Default Logo height : 55px, if you want to increase than specify your value.','chronicle')
		));

	add_settings_field('logo_width','Logo Width','option_panel_text_field','gnrl_option_page','general-settings',
		array('name'=>'chronicle_theme_options[width]',
			'value'=>$chronicle_theme_options['width'],
			'desc'=>__('Default Logo Width : 150 px, if you want to increase than specify your value','chronicle'),
		));
	
	add_settings_field('cust_favicon','Custom favicon','option_panel_upload_field','gnrl_option_page','general-settings',
		array('name'=>'chronicle_theme_options[upload_image_favicon]',
			'value'=>$chronicle_theme_options['upload_image_favicon'],
			'desc'=>__('Make sure you upload .icon image type which is not more then 25X25 px.','chronicle'),
			'width'=>100,
			'height'=>60
		));
		
	/* Social Settings */	

	register_setting('chronicle_social_options','chronicle_theme_options');
	add_settings_section('social-settings','','','social_options');
	
	add_settings_field('header_social_media_in_enabled','Enable Social Media:','social_pannel_listbox','social_options','social-settings');
	add_settings_field('social_contact','Contact Details:','chronicle_social_contact','social_options','social-settings');
	
	add_settings_field('social_facebook','Face-book Link:','option_panel_text_field','social_options','social-settings',
		array('name'=>'chronicle_theme_options[facebook_link]',
			'value'=>$chronicle_theme_options['facebook_link'],
			'desc'=>__('Enter Face-book Link','chronicle'),
		));
	add_settings_field('social_google_plus','Google+ Link:','option_panel_text_field','social_options','social-settings',
		array('name'=>'chronicle_theme_options[google_plus]',
			'value'=>$chronicle_theme_options['google_plus'],
			'desc'=>__('Enter Google+ Link','chronicle'),
		));
		
	add_settings_field('social_twitter','Twitter Link:','option_panel_text_field','social_options','social-settings',
		array('name'=>'chronicle_theme_options[twitter_link]',
			'value'=>$chronicle_theme_options['twitter_link'],
			'desc'=>__('Enter Twitter Link','chronicle'),
		));
		
	add_settings_field('social_linkedin','LinkedIn Link:','option_panel_text_field','social_options','social-settings',
		array('name'=>'chronicle_theme_options[linkedin_link]',
			'value'=>$chronicle_theme_options['linkedin_link'],
			'desc'=>__('Enter LinkedIn Link','chronicle'),
		));
		
	add_settings_field('rss_link','RSS Link:','option_panel_text_field','social_options','social-settings',
		array('name'=>'chronicle_theme_options[rss_link]',
			'value'=>$chronicle_theme_options['rss_link'],
			'desc'=>__('Enter RSS link ','chronicle'),
		));
		
	add_settings_field('flicker_link','Flicker Link:','option_panel_text_field','social_options','social-settings',
		array('name'=>'chronicle_theme_options[flicker_link]',
			'value'=>$chronicle_theme_options['flicker_link'],
			'desc'=>__('Enter Flicker link ','chronicle'),
		));
		
	add_settings_field('social_youtube','Youtube Link:','option_panel_text_field','social_options','social-settings',
		array('name'=>'chronicle_theme_options[youtube_link]',
			'value'=>$chronicle_theme_options['youtube_link'],
			'desc'=>__('Enter Youtube Link','chronicle'),
		));

	/* Footer Options */
	
	register_setting('chronicle_footer_options','chronicle_theme_options');
	add_settings_section('footer_settings','','','footer_page');
	
	add_settings_field('footer_customizations','Footer Customization Text ','option_panel_text_field','footer_page','footer_settings',
		array('name'=>'chronicle_theme_options[footer_customizations]',
			'value'=>$chronicle_theme_options['footer_customizations'],
			'desc'=>__('Enter your footer customization text .','chronicle'),
		));
		
	add_settings_field('developed_by_text','Developed by Text ','option_panel_text_field','footer_page','footer_settings',
		array('name'=>'chronicle_theme_options[developed_by_text]',
			'value'=>$chronicle_theme_options['developed_by_text'],
			'desc'=>__('Enter developed by text .','chronicle'),
		));

	add_settings_field('developed_by_chronicle_text','Developed by link text  ','option_panel_text_field','footer_page','footer_settings',
		array('name'=>'chronicle_theme_options[developed_by_chronicle_text]',
			'value'=>$chronicle_theme_options['developed_by_chronicle_text'],
			'desc'=>__('Enter developed by link text  .','chronicle'),
		));
		
	add_settings_field('developed_by_link','Developed by link','option_panel_text_field','footer_page','footer_settings',
		array('name'=>'chronicle_theme_options[developed_by_link]',
			'value'=>$chronicle_theme_options['developed_by_link'],
			'desc'=>__('Enter developed by link.','chronicle'),
		)); 
	
	$num = array(1=>"One",2=>"Two",3=>"three",4=>"Four",5=>"Five",6=>"Six");
	/* theme Slider Settings */
	register_setting('chronicle_slider_options','chronicle_theme_options');
	add_settings_section('slide_show_settings','','','slider_option_page');
	for($i=1;$i<=3;$i++){
		add_settings_field('slide_'.$i.'_image','Slider '.$num[$i],'slide_options_field','slider_option_page','slide_show_settings',array('num'=>$i));
	}

	/* Portfolio settings */
	register_setting('chronicle_portfolio_options','chronicle_theme_options');
	add_settings_section('portfolio_settings','','','portfolio_option_page');
	
	add_settings_field('enable_porfilio','Enable Portfolio On Home','option_pannel_listbox','portfolio_option_page','portfolio_settings',
		array('name'=>'chronicle_theme_options[portfolio_home]',
			'value'=>$chronicle_theme_options['portfolio_home']=='on' ? 'selected=selected' : '',
			'desc'=>__('Enable Portfolio On Home.','chronicle'),
		));

	add_settings_field('port_heading','Portfolio Section Heading','option_panel_text_field','portfolio_option_page','portfolio_settings',
		array('name'=>'chronicle_theme_options[port_heading]',
			'value'=>$chronicle_theme_options['port_heading'],
			'desc'=>__('Type here your Portfolio heading','chronicle'),
		));
		
	add_settings_field('blog_heading','Blog Section Heading','option_panel_text_field','portfolio_option_page','portfolio_settings',
		array('name'=>'chronicle_theme_options[blog_heading]',
			'value'=>$chronicle_theme_options['blog_heading'],
			'desc'=>__('Type here your Blog heading','chronicle'),
		));
		
	for($i=1;$i<=3;$i++){
		add_settings_field('port_'.$i.'_image', 'Portfolio '.$num[$i],'portfolio_options_field','portfolio_option_page','portfolio_settings',array('num'=>$i));
	}


	/* Service Settings  */	
	register_setting('chronicle_service_options','chronicle_theme_options');
	add_settings_section('service_settings','','','service_page');
	
	add_settings_field('home_service_title','Home Service Heading','option_panel_text_field','service_page','service_settings',
		array('name'=>'chronicle_theme_options[home_service_title]',
			'value'=>$chronicle_theme_options['home_service_title'],
			'desc'=>__('Type Home Service Title.','chronicle'),
		));

	add_settings_field('home_service_description','Home Service description','option_panel_text_field','service_page','service_settings',
		array('name'=>'chronicle_theme_options[home_service_description]',
			'value'=>$chronicle_theme_options['home_service_description'],
			'desc'=>__('Type Here Home Service Description.','chronicle'),
		));
	for($i=1;$i<=3;$i++){
		add_settings_field('Service_'.$i, 'Service '.$num[$i],'service_options_field','service_page','service_settings',array('num'=>$i));
	}
	
	/*  Call-out Settings */
	register_setting('chronicle_callout_options','chronicle_theme_options');
	add_settings_section('callout_settings','','','callout_page');
	
	add_settings_field('call-out-text','Call Out Tag Line','option_panel_textarea_field','callout_page','callout_settings',
		array('name'=>'chronicle_theme_options[callout_text]',
			'value'=>$chronicle_theme_options['callout_text'],
			'desc'=>__('Type here call out Tag line to text.','chronicle'),
		));
	add_settings_field('call-out-button1','Button One Text','option_panel_text_field','callout_page','callout_settings',
		array('name'=>'chronicle_theme_options[button_1_text]',
			'value'=>$chronicle_theme_options['button_1_text'],
			'desc'=>__('Type here call out Button text.','chronicle'),
		));
	add_settings_field('call-out-button1link','Button One Link','option_panel_text_field','callout_page','callout_settings',
		array('name'=>'chronicle_theme_options[button_1_link]',
			'value'=>$chronicle_theme_options['button_1_link'],
			'desc'=>__('Type here call out Button Link.','chronicle'),
		));
	add_settings_field('call-out-button2','Button Two Text','option_panel_text_field','callout_page','callout_settings',
		array('name'=>'chronicle_theme_options[button_2_text]',
			'value'=>$chronicle_theme_options['button_2_text'],
			'desc'=>__('Type here call out Button text.','chronicle'),
		));
	add_settings_field('call-out-button2link','Button Two Link','option_panel_text_field','callout_page','callout_settings',
		array('name'=>'chronicle_theme_options[button_2_link]',
			'value'=>$chronicle_theme_options['button_2_link'],
			'desc'=>__('Type here call out Button Link.','chronicle'),
		));

}